/*  libbadpenguin -- generic library for Bad Penguin development
 *
 *  Copyright (C) 1996 Antonio Gallo <agx@linux.it>
 *  
 *  Newer versions should be on www.badpenguin.org
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
 */

#ifndef _CHAIN_H
#define _CHAIN_H

// ***** Structures *****

typedef struct stChain     TChain;
typedef struct stChainItem TChainItem;

struct stChainItem {
  char   *name;		// Optional name for the item for insertion sort
  void   *data;
  TChain *chain;  	// Point to the parent stChain that hold the item
  TChainItem *next;
  TChainItem *prev;
};

struct stChain {
  TChainItem *head;	// Pointer to the first child
  TChainItem *tail;	// Pointer to the last child
  int   count;		// Numbers of childs into the chain
};

// ***** Functions *****
    TChain *chain_create();
       int  chain_cleanall(TChain *chain);
       int  chain_delete(TChain *chain);
TChainItem *chain_append(TChain *chain);
TChainItem *chain_insert(TChain *chain, char *itemName, int order);
        int chain_remove(TChainItem *item);
	
#endif
