/*  libbadpenguin -- generic library for Bad Penguin development
 *
 *  Copyright (C) 1996 Antonio Gallo <agx@linux.it>
 *  
 *  Newer versions should be on www.badpenguin.org
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
 */

#ifndef _BADPENGUIN_ERRORS_H
#define _BADPENGUIN_ERRORS_H

// Bad Penguin - Custom Error Codes and other defines
// @1999 by Antonio Gallo

/* Common defines */
#ifndef FALSE
#define	FALSE	0
#endif
#ifndef TRUE
#define TRUE	1
#endif

/* Error Codes */
#define ERROR_NOONE		0
// error from 1 to 20 are reserved for signals
#define ERROR_IGNORABLE		50
#define ERROR_HELP		51
#define ERROR_PARAMETER		52
#define ERROR_NOTFOUND		53
#define ERROR_NOTINSTALLED	54
#define ERROR_IO		55
#define ERROR_FORMAT		56
#define ERROR_EXISTING		57

/* lib version */
int libbadpenguin_version();

#endif
