/*  libbadpenguin -- generic library for Bad Penguin development
 *
 *  Copyright (C) 1996 Antonio Gallo <agx@linux.it>
 *  
 *  Newer versions should be on www.badpenguin.org
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
 */

#ifndef _BADPENGUIN_FS_H
#define _BADPENGUIN_FS_H

// Bad Penguin - File System Utilities
// @1999 by Antonio Gallo

#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>

int deltree(char *path);
char *dirbase(char *s1);
char *dirpath(char *s1);
long long diskfree(char *s);
int file_exists( char* s );
int file_time( char *filename, time_t newtime, time_t nowtime );
int is_directory( char *p, char *d );
int is_regularfile( char *p, char *d );
int makedir( char* s, mode_t m );
int move_dir( char* source, char* target);
int move_file( char* source, char* target);
int move_link( char* source, char* target);
int move_dev( char* source, char* target);
int read_line( FILE* fd, char* buffer );
int runshell (char *command);
int runcommand (char *options[], int fdin, int fdout, int fderr );
char *strtoken( char **s, char *d);

#endif
