/*  libbadpenguin -- generic library for Bad Penguin development
 *
 *  Copyright (C) 1996 Antonio Gallo <agx@linux.it>
 *  
 *  Newer versions should be on www.badpenguin.org
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
 */

#ifndef _UNTAR_H
#define _UNTAR_H

// Kind of installation
#define TAR_ACTION_UNKNOWN		0
#define TAR_ACTION_INSTALL		1
#define TAR_ACTION_UPGRADE		5
#define TAR_ACTION_UPDATE		5
#define TAR_ACTION_RESTORE		6
#define TAR_ACTION_DELETE		7

// Kind of file extraction
#define TAR_MODE_HEADER		0
#define TAR_MODE_ALL		1

typedef struct stTarOptions TTarOptions;

struct stTarOptions {
  // Source Option
  char *sourcefile;	// full filename of the source package
  char *targetdir;	// rootdir of the installation
  char *prefixdir;	// prefix to append to rootdir
  int   mode;		// Tar action to be performed (whole,header)
  int   action;		// Tar action to be performed (install,upgrade)
  int   verbose;	// Verbose level
  long long  maxsize;   // 0=DO NO SHOW % else nr. of uncompressed data
  int   gauge;		// 0=video, 1=for dialog --gauge widget, 2=80 dot
};

// Extern
int untar(TTarOptions *lpopt);
long untar_realsize(char *filename);

#endif
